org.encog.util.normalize.output

## Interface OutputField

- All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    BasicOutputField, OutputEquilateral, OutputFieldDirect, OutputFieldEncode, OutputFieldGrouped, OutputFieldMultiplicative, OutputFieldRangeMapped, OutputFieldZAxis, OutputFieldZAxisSynthetic, OutputOneOf

      public interface OutputField
      extends Serializable

  An output field, this represents the actual output from the normalization. Output from the normalization class is usually input to a neural network. An output field may contain several subfields that will be generated. Call getSubfieldCount to determine how many fields will be generated. A simple field will return 1, indicating that this is a single field.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `calculate(int subfield)` Calculate the value for this field.
    `int` | `getSubfieldCount()`
    `boolean` | `isIdeal()`
    `void` | `rowInit()` Init this field for a new row.
    `void` | `setIdeal(boolean ideal)` Set whether this field is part of the ideal output for a network.

- - ### Method Detail

    - #### calculate

          double calculate(int subfield)

      Calculate the value for this field. Specify subfield of zero if this is a simple field.
      Parameters:
        `subfield` - The subfield index.
      Returns:
        The calculated value for this field.

    - #### getSubfieldCount

          int getSubfieldCount()

      Returns:
        The numebr of fields that will actually be generated by this field. For a simple field, this value is 1.

    - #### isIdeal

          boolean isIdeal()

      Returns:
        Is this field part of the ideal data uses to train the neural network.

    - #### rowInit

          void rowInit()

      Init this field for a new row.

    - #### setIdeal

          void setIdeal(boolean ideal)

      Set whether this field is part of the ideal output for a network.
      Parameters:
        `ideal` - True if this field is ideal.

Copyright © 2014. All Rights Reserved.